clear
close all
kmax = 5;
k2 = 2;  
mi = 0.8;

[data.samples data.labels concept] = generateExamples_CV(kmax, k2, 1000, 0.1);
display(sprintf('Concept is %s',num2str(concept)));
[train test] = trainTestSplit(data,mi); %rozdeli generovana data na testovaci a trenovaci mnozinu


nFold = 10;
errors = ones(kmax,1);
for k = 1:kmax
    tic
    cvErrors(k) = crossvalidation(train,nFold,@(samples,labels)conj_bb_CV(k,samples,labels),@conj_classify_CV);
    toc
end

[min ind] = min(cvErrors);
rightK = ind(1);

learnedConcept = conj_bb_CV(rightK,train.samples,train.labels);
out = conj_classify_CV(learnedConcept,test.samples);
finalError = mean(out~=test.labels);

clear k min ind