% classifies samples using conjunction (1 is TRUE, -1 is FALSE). In the output positive is 1, negative is 0. e.g.
% conj_classify([-1 0 1 1], [-1 -1 1 1; -1 -1 -1 -1]) returns [1;0] 
function out = conj_classify_CV(conjunction, examples)


indices = (conjunction ~= 0);

for i = 1:size(examples,1)
    if sum(conjunction(indices) == examples(i,indices)) == sum(indices)
        out(i) = 1;
    else
        out(i) = 0;
    end
end

out = out';