
clear
close all

dim = 20;
nSamples = 2000;
means =  [3 1 2; 0 0 2; ];
means = [means zeros(2,dim-3)];
variances = ones(2,dim);
ratio = 1/1;

%generate 2-class gaussians
data = generate2class(means, variances, ratio, dim, nSamples);

%plot first 3 dimensions of the generated data
numPosSamples = round(nSamples*(ratio/(1+ratio)));% number of positive samples
numNegSamples = round(nSamples/(ratio+1));% number of negative samples
plot3(data.samples(1:numPosSamples,1),data.samples(1:numPosSamples,2),data.samples(1:numPosSamples,3),'r.');
hold on
plot3(data.samples(numPosSamples+1:end,1),data.samples(numPosSamples+1:end,2),data.samples(numPosSamples+1:end,3),'b.');
legend('Positive Data', 'Negative Data');
grid on
hold off

mi = 0.95;
nTrainSamples = round(nSamples*(1-mi)); %zaokrouhlovani kvuli tomu, aby nTrainSamples byl integer (jinak je problem s LOO crossvalidaci)
ncycle = 100; % kolikrat se bude provadet crossvalidace a LOO?
nfold = 5; %n-fold crossvalidation


